Groups | Search | Server Info | Keyboard shortcuts | Login | Register [http] [https] [nntp] [nntps]


Groups > linux.kernel > #1728017

[PATCH v2 1/2] selftests: bpf: test_kmod.sh: check if module is present in the path before insert

From naresh.kamboju@linaro.org
Newsgroups linux.kernel
Subject [PATCH v2 1/2] selftests: bpf: test_kmod.sh: check if module is present in the path before insert
Date 2017-09-07 10:20 +0200
Message-ID <un0cy-5P7-3@gated-at.bofh.it> (permalink)
Organization linux.* mail to news gateway

Show all headers | View raw


From: Naresh Kamboju <naresh.kamboju@linaro.org>

The test script works when kernel source and build module test_bpf.ko
present on the machine. This patch will check if module is present in
the path.

Signed-off-by: Naresh Kamboju <naresh.kamboju@linaro.org>
---
 tools/testing/selftests/bpf/test_kmod.sh | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/tools/testing/selftests/bpf/test_kmod.sh b/tools/testing/selftests/bpf/test_kmod.sh
index 6d58cca8e235..a53eb1cb54ef 100755
--- a/tools/testing/selftests/bpf/test_kmod.sh
+++ b/tools/testing/selftests/bpf/test_kmod.sh
@@ -9,9 +9,11 @@ test_run()
 
 	echo "[ JIT enabled:$1 hardened:$2 ]"
 	dmesg -C
-	insmod $SRC_TREE/lib/test_bpf.ko 2> /dev/null
-	if [ $? -ne 0 ]; then
-		rc=1
+	if [ -f $SRC_TREE/lib/test_bpf.ko ]; then
+		insmod $SRC_TREE/lib/test_bpf.ko 2> /dev/null
+		if [ $? -ne 0 ]; then
+			rc=1
+		fi
 	fi
 	rmmod  test_bpf 2> /dev/null
 	dmesg | grep FAIL
-- 
2.13.0

Back to linux.kernel | Previous | Next — Next in thread | Find similar | Unroll thread


Thread

[PATCH v2 1/2] selftests: bpf: test_kmod.sh: check if module is present in the path before insert naresh.kamboju@linaro.org - 2017-09-07 10:20 +0200
  [PATCH v2 2/2] selftests: bpf: test_kmod.sh: use modprobe on target device naresh.kamboju@linaro.org - 2017-09-07 10:20 +0200
    Re: [PATCH v2 2/2] selftests: bpf: test_kmod.sh: use modprobe on  target device Daniel Borkmann <daniel@iogearbox.net> - 2017-09-07 11:30 +0200
  Re: [PATCH v2 1/2] selftests: bpf: test_kmod.sh: check if module  is present in the path before insert Daniel Borkmann <daniel@iogearbox.net> - 2017-09-07 11:20 +0200

csiph-web